XPutBackEvent(3) | Library Functions Manual | XPutBackEvent(3)

# NAME

XPutBackEvent - put events back on the queue

# SYNTAX

XPutBackEvent(Display *display, XEvent *event);

# ARGUMENTS

display
  Specifies the connection to the X server.
event
  Specifies the event.

# DESCRIPTION

The XPutBackEvent function pushes an event back onto the head of the display's event queue by copying the event into the queue. This can be useful if you read an event and then decide that you would rather deal with it later. There is no limit to the number of times in succession that you can call XPutBackEvent.

# SEE ALSO

XAnyEvent(3), XIfEvent(3), XNextEvent(3), XSendEvent(3)
Xlib - C Language X Interface

X Version 11 | XLIB FUNCTIONS